Package ghidra.trace.util

# Enum Class TraceEvent.TraceTypeCategoryStringEvent

java.lang.Object
java.lang.Enum<TraceEvent.TraceTypeCategoryStringEvent>
ghidra.trace.util.TraceEvent.TraceTypeCategoryStringEvent

All Implemented Interfaces:
  `EventType`, `TraceEvent<Long,String>`, `Serializable`, `Comparable<TraceEvent.TraceTypeCategoryStringEvent>`, `Constable`

Enclosing interface:
  `TraceEvent<T,U>`

public static enum TraceEvent.TraceTypeCategoryStringEvent extends Enum<TraceEvent.TraceTypeCategoryStringEvent> implements TraceEvent<Long,String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

  ## Nested classes/interfaces inherited from interface ghidra.trace.util.TraceEvent

  `TraceEvent.TraceBookmarkEvent, TraceEvent.TraceBookmarkLifespanEvent, TraceEvent.TraceBookmarkTypeEvent, TraceEvent.TraceBreakpointEvent, TraceEvent.TraceBreakpointLifespanEvent, TraceEvent.TraceBytesEvent, TraceEvent.TraceCodeDataSettingsEvent, TraceEvent.TraceCodeDataTypeEvent, TraceEvent.TraceCodeEvent, TraceEvent.TraceCodeFragmentEvent, TraceEvent.TraceCodeLifespanEvent, TraceEvent.TraceCommentEvent, TraceEvent.TraceCompositeDataEvent, TraceEvent.TraceCompositeDataLifespanEvent, TraceEvent.TraceDataTypeEvent, TraceEvent.TraceDataTypePathEvent, TraceEvent.TraceDataTypeStringEvent, TraceEvent.TraceInstructionBoolEvent, TraceEvent.TraceInstructionFlowEvent, TraceEvent.TraceInstructionIntEvent, TraceEvent.TraceMappingEvent, TraceEvent.TraceMemoryRegionEvent, TraceEvent.TraceMemoryRegionLifespanEvent, TraceEvent.TraceMemoryStateEvent, TraceEvent.TraceModuleEvent, TraceEvent.TraceModuleLifespanEvent, TraceEvent.TraceObjectEvent, TraceEvent.TraceObjectValueEvent, TraceEvent.TraceObjectValueLifespanEvent, TraceEvent.TraceOverlaySpaceEvent, TraceEvent.TracePlatformEvent, TraceEvent.TracePlatformMappingEvent, TraceEvent.TraceReferenceBoolEvent, TraceEvent.TraceReferenceEvent, TraceEvent.TraceReferenceLifespanEvent, TraceEvent.TraceSectionEvent, TraceEvent.TraceSnapshotEvent, TraceEvent.TraceStackEvent, TraceEvent.TraceStackLongEvent, TraceEvent.TraceSymbolAddressEvent, TraceEvent.TraceSymbolEvent, TraceEvent.TraceSymbolLifespanEvent, TraceEvent.TraceSymbolNamespaceEvent, TraceEvent.TraceSymbolRefEvent, TraceEvent.TraceSymbolSourceEvent, TraceEvent.TraceSymbolStringEvent, TraceEvent.TraceSymbolSymEvent, TraceEvent.TraceThreadEvent, TraceEvent.TraceThreadLifespanEvent, TraceEvent.TraceTypeArchiveEvent, TraceEvent.TraceTypeCategoryEvent, TraceEvent.TraceTypeCategoryPathEvent, TraceEvent.TraceTypeCategoryStringEvent`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `TYPE_CATEGORY_RENAMED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  Returns the unique id assigned to this event type.
  `static TraceEvent.TraceTypeCategoryStringEvent`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TraceEvent.TraceTypeCategoryStringEvent[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.util.TraceEvent

  `cast`

- ## Enum Constant Details

  - ### TYPE_CATEGORY_RENAMED

    public static final TraceEvent.TraceTypeCategoryStringEvent TYPE_CATEGORY_RENAMED

- ## Method Details

  - ### values

    public static TraceEvent.TraceTypeCategoryStringEvent[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TraceEvent.TraceTypeCategoryStringEvent valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Description copied from interface: `EventType`
    Returns the unique id assigned to this event type. The value is guaranteed to be constant for any given run of the application, but can vary from run to run.
    Specified by:
      `getId` in interface `EventType`
    Returns:
      the unique event id assigned to this EventType.